diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/helper/click-internet-stack-helper.cc ns-3.44/src/click/helper/click-internet-stack-helper.cc
--- ns-3.43/src/click/helper/click-internet-stack-helper.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/helper/click-internet-stack-helper.cc	2025-03-09 16:55:49.351371000 -0700
@@ -50,9 +50,9 @@
 /**
  * IPv4 Rx / Tx packet callback.
  *
- * \param p Packet.
- * \param ipv4 IPv4 stack.
- * \param interface Interface number.
+ * @param p Packet.
+ * @param ipv4 IPv4 stack.
+ * @param interface Interface number.
  */
 static void
 Ipv4L3ProtocolRxTxSink(Ptr<const Packet> p, Ptr<Ipv4> ipv4, uint32_t interface)
@@ -79,12 +79,12 @@
 /**
  * Packet dropped callback without context.
  *
- * \param stream Output stream.
- * \param header IPv4 header.
- * \param packet Packet.
- * \param reason Packet drop reason.
- * \param ipv4 IPv4 stack.
- * \param interface Interface number.
+ * @param stream Output stream.
+ * @param header IPv4 header.
+ * @param packet Packet.
+ * @param reason Packet drop reason.
+ * @param ipv4 IPv4 stack.
+ * @param interface Interface number.
  */
 static void
 Ipv4L3ProtocolDropSinkWithoutContext(Ptr<OutputStreamWrapper> stream,
@@ -115,13 +115,13 @@
 /**
  * Packet dropped callback with context.
  *
- * \param stream Output stream.
- * \param context Context.
- * \param header IPv4 header.
- * \param packet Packet.
- * \param reason Packet drop reason.
- * \param ipv4 IPv4 stack.
- * \param interface Interface number.
+ * @param stream Output stream.
+ * @param context Context.
+ * @param header IPv4 header.
+ * @param packet Packet.
+ * @param reason Packet drop reason.
+ * @param ipv4 IPv4 stack.
+ * @param interface Interface number.
  */
 static void
 Ipv4L3ProtocolDropSinkWithContext(Ptr<OutputStreamWrapper> stream,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/helper/click-internet-stack-helper.h ns-3.44/src/click/helper/click-internet-stack-helper.h
--- ns-3.43/src/click/helper/click-internet-stack-helper.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/helper/click-internet-stack-helper.h	2025-03-09 16:55:49.351371000 -0700
@@ -28,7 +28,7 @@
 class Ipv4RoutingHelper;
 
 /**
- * \brief aggregate Click/IP/TCP/UDP functionality to existing Nodes.
+ * @brief aggregate Click/IP/TCP/UDP functionality to existing Nodes.
  *
  * This helper has been adapted from the InternetStackHelper class and
  * nodes will not be able to use Ipv6 functionalities.
@@ -50,15 +50,15 @@
     /**
      * Copy constructor.
      *
-     * \param o Object to copy from.
+     * @param o Object to copy from.
      */
     ClickInternetStackHelper(const ClickInternetStackHelper& o);
 
     /**
      * Assignment operator.
      *
-     * \param o Object to copy from.
-     * \return Reference to updated object.
+     * @param o Object to copy from.
+     * @return Reference to updated object.
      */
     ClickInternetStackHelper& operator=(const ClickInternetStackHelper& o);
 
@@ -72,7 +72,7 @@
      * ns3::Udp, and ns3::Tcp classes onto the provided node.  This method will
      * assert if called on a node that already has an Ipv4 object aggregated to it.
      *
-     * \param nodeName The name of the node on which to install the stack.
+     * @param nodeName The name of the node on which to install the stack.
      */
     void Install(std::string nodeName) const;
 
@@ -81,7 +81,7 @@
      * ns3::Udp, and ns3::Tcp classes onto the provided node.  This method will
      * assert if called on a node that already has an Ipv4 object aggregated to it.
      *
-     * \param node The node on which to install the stack.
+     * @param node The node on which to install the stack.
      */
     void Install(Ptr<Node> node) const;
 
@@ -91,7 +91,7 @@
      * The program will assert if this method is called on a container with a
      * node that already has an Ipv4 object aggregated to it.
      *
-     * \param c NodeContainer that holds the set of nodes on which to install the
+     * @param c NodeContainer that holds the set of nodes on which to install the
      * new stacks.
      */
     void Install(NodeContainer c) const;
@@ -102,55 +102,55 @@
     void InstallAll() const;
 
     /**
-     * \brief Set a Click file to be used for a group of nodes.
-     * \param c NodeContainer of nodes
-     * \param clickfile Click file to be used
+     * @brief Set a Click file to be used for a group of nodes.
+     * @param c NodeContainer of nodes
+     * @param clickfile Click file to be used
      */
     void SetClickFile(NodeContainer c, std::string clickfile);
 
     /**
-     * \brief Set a Click file to be used for a node.
-     * \param node Node for which Click file is to be set
-     * \param clickfile Click file to be used
+     * @brief Set a Click file to be used for a node.
+     * @param node Node for which Click file is to be set
+     * @param clickfile Click file to be used
      */
     void SetClickFile(Ptr<Node> node, std::string clickfile);
 
     /**
-     * \brief Set defines to be used for a group of nodes.
-     * \param c NodeContainer of nodes
-     * \param defines Defines mapping to be used
+     * @brief Set defines to be used for a group of nodes.
+     * @param c NodeContainer of nodes
+     * @param defines Defines mapping to be used
      */
     void SetDefines(NodeContainer c, std::map<std::string, std::string> defines);
 
     /**
-     * \brief Set defines to be used for a node.
-     * \param node Node for which the defines are to be set
-     * \param defines Defines mapping to be used
+     * @brief Set defines to be used for a node.
+     * @param node Node for which the defines are to be set
+     * @param defines Defines mapping to be used
      */
     void SetDefines(Ptr<Node> node, std::map<std::string, std::string> defines);
 
     /**
-     * \brief Set a Click routing table element for a group of nodes.
-     * \param c NodeContainer of nodes
-     * \param rt Click Routing Table element name
+     * @brief Set a Click routing table element for a group of nodes.
+     * @param c NodeContainer of nodes
+     * @param rt Click Routing Table element name
      */
     void SetRoutingTableElement(NodeContainer c, std::string rt);
 
     /**
-     * \brief Set a Click routing table element for a node.
-     * \param node Node for which Click file is to be set
-     * \param rt Click Routing Table element name
+     * @brief Set a Click routing table element for a node.
+     * @param node Node for which Click file is to be set
+     * @param rt Click Routing Table element name
      */
     void SetRoutingTableElement(Ptr<Node> node, std::string rt);
 
   private:
     /**
-     * \brief Enable pcap output the indicated Ipv4 and interface pair.
+     * @brief Enable pcap output the indicated Ipv4 and interface pair.
      *
-     * \param prefix Filename prefix to use for pcap files.
-     * \param ipv4 Ptr to the Ipv4 interface on which you want to enable tracing.
-     * \param interface Interface ID on the Ipv4 on which you want to enable tracing.
-     * \param explicitFilename Whether the filename is explicit or not.
+     * @param prefix Filename prefix to use for pcap files.
+     * @param ipv4 Ptr to the Ipv4 interface on which you want to enable tracing.
+     * @param interface Interface ID on the Ipv4 on which you want to enable tracing.
+     * @param explicitFilename Whether the filename is explicit or not.
      */
     void EnablePcapIpv4Internal(std::string prefix,
                                 Ptr<Ipv4> ipv4,
@@ -158,14 +158,14 @@
                                 bool explicitFilename) override;
 
     /**
-     * \brief Enable ascii trace output on the indicated Ipv4 and interface pair.
+     * @brief Enable ascii trace output on the indicated Ipv4 and interface pair.
      *
-     * \param stream An OutputStreamWrapper representing an existing file to use
+     * @param stream An OutputStreamWrapper representing an existing file to use
      *               when writing trace data.
-     * \param prefix Filename prefix to use for ascii trace files.
-     * \param ipv4 Ptr to the Ipv4 interface on which you want to enable tracing.
-     * \param interface Interface ID on the Ipv4 on which you want to enable tracing.
-     * \param explicitFilename Whether the filename is explicit or not.
+     * @param prefix Filename prefix to use for ascii trace files.
+     * @param ipv4 Ptr to the Ipv4 interface on which you want to enable tracing.
+     * @param interface Interface ID on the Ipv4 on which you want to enable tracing.
+     * @param explicitFilename Whether the filename is explicit or not.
      */
     void EnableAsciiIpv4Internal(Ptr<OutputStreamWrapper> stream,
                                  std::string prefix,
@@ -182,44 +182,44 @@
     /**
      * Create and aggregate object from type ID.
      *
-     * \param node Node.
-     * \param typeId Type ID.
+     * @param node Node.
+     * @param typeId Type ID.
      */
     static void CreateAndAggregateObjectFromTypeId(Ptr<Node> node, const std::string typeId);
 
     /**
      * Check if PCAP is hooked.
      *
-     * \param ipv4 IPv4 stack.
-     * \return True if PCAP is hooked.
+     * @param ipv4 IPv4 stack.
+     * @return True if PCAP is hooked.
      */
     bool PcapHooked(Ptr<Ipv4> ipv4);
 
     /**
      * Check if ASCII is hooked.
      *
-     * \param ipv4 IPv4 stack.
-     * \return True if ASCII is hooked.
+     * @param ipv4 IPv4 stack.
+     * @return True if ASCII is hooked.
      */
     bool AsciiHooked(Ptr<Ipv4> ipv4);
 
     /**
-     * \brief IPv4 install state (enabled/disabled) ?
+     * @brief IPv4 install state (enabled/disabled) ?
      */
     bool m_ipv4Enabled;
 
     /**
-     * \brief Node to Click file mapping
+     * @brief Node to Click file mapping
      */
     std::map<Ptr<Node>, std::string> m_nodeToClickFileMap;
 
     /**
-     * \brief Node to Click defines mapping
+     * @brief Node to Click defines mapping
      */
     std::map<Ptr<Node>, std::map<std::string, std::string>> m_nodeToDefinesMap;
 
     /**
-     * \brief Node to Routing Table Element mapping
+     * @brief Node to Routing Table Element mapping
      */
     std::map<Ptr<Node>, std::string> m_nodeToRoutingTableElementMap;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/model/ipv4-click-routing.cc ns-3.44/src/click/model/ipv4-click-routing.cc
--- ns-3.43/src/click/model/ipv4-click-routing.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/model/ipv4-click-routing.cc	2025-03-09 16:55:49.351371000 -0700
@@ -518,7 +518,7 @@
         }
         else
         {
-            /** \todo Implement IP aliasing and Click */
+            /** @todo Implement IP aliasing and Click */
             NS_FATAL_ERROR("XXX Not implemented yet:  IP aliasing and Click");
         }
         rtentry->SetSource(ifAddr.GetLocal());
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/model/ipv4-click-routing.h ns-3.44/src/click/model/ipv4-click-routing.h
--- ns-3.43/src/click/model/ipv4-click-routing.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/model/ipv4-click-routing.h	2025-03-09 16:55:49.351371000 -0700
@@ -32,7 +32,7 @@
 {
 
 /**
- * \defgroup click Click Routing
+ * @defgroup click Click Routing
  * This section documents the API of the ns-3 click module. For a generic functional description,
  * please refer to the ns-3 manual.
  */
@@ -40,8 +40,8 @@
 class UniformRandomVariable;
 
 /**
- * \ingroup click
- * \brief Class to allow a node to use Click for external routing
+ * @ingroup click
+ * @brief Class to allow a node to use Click for external routing
  */
 class Ipv4ClickRouting : public Ipv4RoutingProtocol
 {
@@ -54,7 +54,7 @@
     /**
      * Get type ID.
      *
-     * \return TypeId.
+     * @return TypeId.
      */
     static TypeId GetTypeId();
 
@@ -65,7 +65,7 @@
     /**
      * Get the uniform random variable.
      *
-     * \return Uniform random variable.
+     * @return Uniform random variable.
      */
     Ptr<UniformRandomVariable> GetRandomVariable();
 
@@ -76,51 +76,51 @@
     void DoDispose() override;
 
     /**
-     * \brief Click configuration file to be used by the node's Click Instance.
-     * \param clickfile name of .click configuration file
+     * @brief Click configuration file to be used by the node's Click Instance.
+     * @param clickfile name of .click configuration file
      */
     void SetClickFile(std::string clickfile);
 
     /**
-     * \brief Click defines to be used by the node's Click Instance.
-     * \param defines mapping of defines for .click configuration file parsing
+     * @brief Click defines to be used by the node's Click Instance.
+     * @param defines mapping of defines for .click configuration file parsing
      */
     void SetDefines(std::map<std::string, std::string> defines);
 
     /**
-     * \brief Name of the node as to be used by Click. Required for Click Dumps.
-     * \param name Name to be assigned to the node.
+     * @brief Name of the node as to be used by Click. Required for Click Dumps.
+     * @param name Name to be assigned to the node.
      */
     void SetNodeName(std::string name);
 
     /**
-     * \brief Name of the routing table element being used by Click. Required for RouteOutput ()
-     * \param name Name of the routing table element.
+     * @brief Name of the routing table element being used by Click. Required for RouteOutput ()
+     * @param name Name of the routing table element.
      */
     void SetClickRoutingTableElement(std::string name);
 
     /**
-     * \brief Read Handler interface for a node's Click Elements.
+     * @brief Read Handler interface for a node's Click Elements.
      *        Allows a user to read state information of a Click element.
-     * \param elementName name of the Click element.
-     * \param handlerName name of the handler to be read.
-     * \return String read.
+     * @param elementName name of the Click element.
+     * @param handlerName name of the handler to be read.
+     * @return String read.
      */
     std::string ReadHandler(std::string elementName, std::string handlerName);
 
     /**
-     * \brief Write Handler interface for a node's Click Elements.
+     * @brief Write Handler interface for a node's Click Elements.
      *        Allows a user to modify state information of a Click element.
-     * \param elementName name of the Click element.
-     * \param handlerName name of the handler to be read.
-     * \param writeString string to be written using the write handler.
-     * \return Write operation status.
+     * @param elementName name of the Click element.
+     * @param handlerName name of the handler to be read.
+     * @param writeString string to be written using the write handler.
+     * @return Write operation status.
      */
     int WriteHandler(std::string elementName, std::string handlerName, std::string writeString);
 
     /**
-     * \brief Sets an interface to run on promiscuous mode.
-     * \param ifid Interface ID.
+     * @brief Sets an interface to run on promiscuous mode.
+     * @param ifid Interface ID.
      */
     void SetPromisc(int ifid);
 
@@ -129,131 +129,131 @@
     simclick_node_t* m_simNode;
 
     /**
-     * \brief Provide a mapping between the node reference used by Click and the corresponding
+     * @brief Provide a mapping between the node reference used by Click and the corresponding
      * Ipv4ClickRouting instance.
      */
     static std::map<simclick_node_t*, Ptr<Ipv4ClickRouting>> m_clickInstanceFromSimNode;
 
   public:
     /**
-     * \brief Allows the Click service methods, which reside outside Ipv4ClickRouting, to get the
+     * @brief Allows the Click service methods, which reside outside Ipv4ClickRouting, to get the
      * required Ipv4ClickRouting instances.
-     * \param simnode The Click simclick_node_t instance for which the Ipv4ClickRouting instance is
+     * @param simnode The Click simclick_node_t instance for which the Ipv4ClickRouting instance is
      * required
-     * \return A Ptr to the required Ipv4ClickRouting instance
+     * @return A Ptr to the required Ipv4ClickRouting instance
      */
     static Ptr<Ipv4ClickRouting> GetClickInstanceFromSimNode(simclick_node_t* simnode);
 
   public:
     /**
-     * \brief Provides for SIMCLICK_GET_DEFINES
-     * \return The defines mapping for .click configuration file parsing
+     * @brief Provides for SIMCLICK_GET_DEFINES
+     * @return The defines mapping for .click configuration file parsing
      */
     std::map<std::string, std::string> GetDefines();
 
     /**
-     * \brief Provides for SIMCLICK_IFID_FROM_NAME
-     * \param ifname The name of the interface
-     * \return The interface ID which corresponds to ifname
+     * @brief Provides for SIMCLICK_IFID_FROM_NAME
+     * @param ifname The name of the interface
+     * @return The interface ID which corresponds to ifname
      */
     int GetInterfaceId(const char* ifname);
 
     /**
-     * \brief Provides for SIMCLICK_IPADDR_FROM_NAME
-     * \param ifid The interface ID for which the IP Address is required
-     * \return The IP Address of the interface in string format
+     * @brief Provides for SIMCLICK_IPADDR_FROM_NAME
+     * @param ifid The interface ID for which the IP Address is required
+     * @return The IP Address of the interface in string format
      */
     std::string GetIpAddressFromInterfaceId(int ifid);
 
     /**
-     * \brief Provides for SIMCLICK_IPPREFIX_FROM_NAME
-     * \param ifid The interface ID for which the IP Prefix is required
-     * \return The IP Prefix of the interface in string format
+     * @brief Provides for SIMCLICK_IPPREFIX_FROM_NAME
+     * @param ifid The interface ID for which the IP Prefix is required
+     * @return The IP Prefix of the interface in string format
      */
     std::string GetIpPrefixFromInterfaceId(int ifid);
 
     /**
-     * \brief Provides for SIMCLICK_MACADDR_FROM_NAME
-     * \param ifid The interface ID for which the MAC Address is required
-     * \return The MAC Address of the interface in string format
+     * @brief Provides for SIMCLICK_MACADDR_FROM_NAME
+     * @param ifid The interface ID for which the MAC Address is required
+     * @return The MAC Address of the interface in string format
      */
     std::string GetMacAddressFromInterfaceId(int ifid);
 
     /**
-     * \brief Provides for SIMCLICK_GET_NODE_NAME
-     * \return The Node name
+     * @brief Provides for SIMCLICK_GET_NODE_NAME
+     * @return The Node name
      */
     std::string GetNodeName();
 
     /**
-     * \brief Provides for SIMCLICK_IF_READY
-     * \param ifid Interface ID
-     * \return Returns 1, if the interface is ready, -1 if ifid is invalid
+     * @brief Provides for SIMCLICK_IF_READY
+     * @param ifid Interface ID
+     * @return Returns 1, if the interface is ready, -1 if ifid is invalid
      */
     bool IsInterfaceReady(int ifid);
 
     /**
-     * \brief Set the Ipv4 instance to be used
-     * \param ipv4 The Ipv4 instance
+     * @brief Set the Ipv4 instance to be used
+     * @param ipv4 The Ipv4 instance
      */
     void SetIpv4(Ptr<Ipv4> ipv4) override;
 
   private:
     /**
-     * \brief Used internally in DoInitialize () to Add a mapping to m_clickInstanceFromSimNode
+     * @brief Used internally in DoInitialize () to Add a mapping to m_clickInstanceFromSimNode
      * mapping
      */
     void AddSimNodeToClickMapping();
 
     /**
-     * \brief Get current simulation time as a timeval.
-     * \return Current simulation time as a timeval.
+     * @brief Get current simulation time as a timeval.
+     * @return Current simulation time as a timeval.
      */
     struct timeval GetTimevalFromNow() const;
 
     /**
-     * \brief This method has to be scheduled every time Click calls SIMCLICK_SCHEDULE
+     * @brief This method has to be scheduled every time Click calls SIMCLICK_SCHEDULE
      */
     void RunClickEvent();
 
   public:
     /**
-     * \brief Schedules simclick_click_run to run at the given time
-     * \param when Time at which the simclick_click_run instance should be run
+     * @brief Schedules simclick_click_run to run at the given time
+     * @param when Time at which the simclick_click_run instance should be run
      */
     void HandleScheduleFromClick(const struct timeval* when);
 
     /**
-     * \brief Receives a packet from Click
-     * \param ifid The interface ID from which the packet is arriving
-     * \param type The type of packet as defined in click/simclick.h
-     * \param data The contents of the packet
-     * \param len The length of the packet
+     * @brief Receives a packet from Click
+     * @param ifid The interface ID from which the packet is arriving
+     * @param type The type of packet as defined in click/simclick.h
+     * @param data The contents of the packet
+     * @param len The length of the packet
      */
     void HandlePacketFromClick(int ifid, int type, const unsigned char* data, int len);
 
     /**
-     * \brief Sends a packet to Click
-     * \param ifid The interface ID from which the packet is arriving
-     * \param type The type of packet as defined in click/simclick.h
-     * \param data The contents of the packet
-     * \param len The length of the packet
+     * @brief Sends a packet to Click
+     * @param ifid The interface ID from which the packet is arriving
+     * @param type The type of packet as defined in click/simclick.h
+     * @param data The contents of the packet
+     * @param len The length of the packet
      */
     void SendPacketToClick(int ifid, int type, const unsigned char* data, int len);
 
     /**
-     * \brief Allow a higher layer to send data through Click. (From Ipv4ExtRouting)
-     * \param p The packet to be sent
-     * \param src The source IP Address
-     * \param dest The destination IP Address
+     * @brief Allow a higher layer to send data through Click. (From Ipv4ExtRouting)
+     * @param p The packet to be sent
+     * @param src The source IP Address
+     * @param dest The destination IP Address
      */
     void Send(Ptr<Packet> p, Ipv4Address src, Ipv4Address dest);
 
     /**
-     * \brief Allow a lower layer to send data to Click. (From Ipv4ExtRouting)
-     * \param p The packet to be sent
-     * \param receiverAddr Receiving interface's address
-     * \param dest The Destination MAC address
+     * @brief Allow a lower layer to send data to Click. (From Ipv4ExtRouting)
+     * @param p The packet to be sent
+     * @param receiverAddr Receiving interface's address
+     * @param dest The Destination MAC address
      */
     void Receive(Ptr<Packet> p, Mac48Address receiverAddr, Mac48Address dest);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/model/ipv4-l3-click-protocol.cc ns-3.44/src/click/model/ipv4-l3-click-protocol.cc
--- ns-3.43/src/click/model/ipv4-l3-click-protocol.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/model/ipv4-l3-click-protocol.cc	2025-03-09 16:55:49.351371000 -0700
@@ -656,7 +656,7 @@
     return index;
 }
 
-/// \todo when should we set ip_id?   check whether we are incrementing
+/// @todo when should we set ip_id?   check whether we are incrementing
 /// m_identification on packets that may later be dropped in this stack
 /// and whether that deviates from Linux
 Ipv4Header
